Light Image Resizer, handy tool to resize or convert photo formats (including RAW)
Web site: http://www.obviousidea.com 
Previously Known as VSO Image Resizer

Light Image Resizer - 5.1.4.1 - Built 2019-02-20
================================================
FIXED: unlocking could fail with unknown error in some rare cases

Light Image Resizer - 5.1.4.0 - Built 2019-02-05
================================================
FIXED: relative font size for watermark text was set too small for large images
FIXED: some compressed Fuji Raw files (RAF) didn't load correctly in collage mode
FIXED: wrong locale ID set for Georgian translation
IMPROVED: better memory management while processing (should reduce out of memory issues)

Light Image Resizer - 5.1.3.7 - Built 2018-09-04
================================================
FIXED: watermark text could be scaled incorrectly when both relative font scaling and word wrap were enabled
FIXED: some panoramic images didn't load due to unsupported markers
FIXED: auto width/height might have been incorrectly set when switching between profiles
IMPROVED: watermark is applied after other effects to allow adding a border first

Light Image Resizer - 5.1.3.0 - Built 2018-03-27
================================================
FIXED: gray border could appear when resizing transparent images
FIXED: if LIR was closed too early while sending email, the email client could become unresponsive
FIXED: sharing violation could occur if some files being processed were read by another application
IMPROVED: add message with option to retry if there is not enough space in the destination

Light Image Resizer - 5.1.2.0 - Built 2018-02-05
================================================
NEW: option to scale watermark text relative to image size
FIXED: crash if watermark font size is invalid
FIXED: inconsistency with drag & drop operations
FIXED: loading of monochrome TIFF failed
FIXED: slow processing of multiframe images (TIFF or animated GIF)
FIXED: prompt for mail client could be shown even if email option was not checked
FIXED: application window could appear in the background when launched via some 3rd party file managers
IMPROVED: save size and position of preview window (if enabled in settings)
IMPROVED: fallback to primary language when sublanguage is not available
IMPROVED: don't apply language change when cancelling settings

Light Image Resizer - 5.1.1.0 - Built 2017-11-28
================================================
NEW: some additional layouts for collage mode
FIXED: crash could occur in some cases when loading failed
FIXED: in some cases an installed email client was not detected
FIXED: loading of WebP images was broken
IMPROVED: try to load embedded JPEG for unsupported RAW files

Light Image Resizer - 5.1.0.0 - Built 2017-10-24
================================================
NEW: extract embedded JPEG for FUJI RAW files (.RAF) that use compression (resolution will be lower than original)
NEW: Samsung RAW files (.SRW) added to supported file extensions
FIXED: processing images with varying color profiles in a row could lead to incorrect results
FIXED: some conversions between color spaces were producing wrong colors
FIXED: IPTC metadata could be added twice in some cases
FIXED: some output format choices could result in the wrong format being used
FIXED: destination for collage could be stuck with a fixed filename when profile was saved
IMPROVED: support unicode filenames when sending email
IMPROVED: prevent creation of 0 byte files when disk is full

Light Image Resizer - 5.0.9.0 - Built 2017-07-31
================================================
FIXED: processing could freeze when preview window was open
FIXED: some TIFF files with unequal DPI values could appear deformed
FIXED: wrong preview could be loaded when navigating in some cases
IMPROVED: skipping through previews is faster now
IMPROVED: less delay when processing is cancelled
IMPROVED: display error details in case loading failed (e.g. "access denied")
IMPROVED: use name as secondary sort key when sorting by type, size, or date

Light Image Resizer - 5.0.8.0 - Built 2017-07-12
================================================
NEW: background color selection for collage
FIXED: subfolders command line parameter was not handled correctly
FIXED: parsing of subfolders when using wildcards could add files several times
FIXED: background color of watermark text was not applied
FIXED: don't add temporary profiles to recent list
FIXED: some collage templates were producing the wrong layout in the saved image
FIXED: profile was not cleared in some cases, which could wrongly override parameters from command line
FIXED: wrong image and file size displayed in preview for multi-page images (TIFF)
FIXED: last used profile was not selected correctly in some cases
IMPROVED: expand relative file paths from command line with working directory

Light Image Resizer - 5.0.7.0 - Built 2017-06-07
================================================
NEW: support reading of BigTIFF format
FIXED: application title was incorrectly updated during processing
FIXED: preview windows did not show error if image could not be loaded
FIXED: auto close function was broken
FIXED: main menu had no text in rare cases
IMPROVED: display an error message if files specified in command line are not found
IMPROVED: better documentation for command line usage (see switches.txt)
IMPROVED: use fallback in case image loading fails

Light Image Resizer - 5.0.6.0 - Built 2017-05-08
================================================
FIXED: crash or black output could occur if resizing to very large dimensions
FIXED: crash could occur when closing preview right before image finished loading
FIXED: original preview was not loaded when using Center mode
FIXED: memory leak when watermark text rendering failed
FIXED: Add Border dialog would not accept decimal places if unit was set to percent
FIXED: alignment of watermark text when using rotation
IMPROVED: detect read-only flag of target files

Light Image Resizer - 5.0.5.1 - Built 2017-03-22
================================================
NEW: watermark image can be tiled now (by setting Resize option to Tile)
NEW: transparent background can be selected for Center mode
NEW: add recent profiles to application jumplist
FIXED: rotation for watermark image was broken
FIXED: using Percent with Center mode could result in wrong dimensions
FIXED: output was not centered in Crop mode when source was smaller than target dimensions
FIXED: preview was not refreshed when changing some options
FIXED: error after processing in some cases (Error in OnFinished)
FIXED: sequential number for watermark text was off by 1 (i.e. starting at 2 when supposed to start at 1)
FIXED: processing was slowed down and not working at full performance with lots of files

Light Image Resizer - 5.0.4.0 - Built 2017-02-13
================================================
FIXED: ICO files were loaded without transparency
FIXED: context menu was displayed for some unsupported virtual folders
FIXED: state of auto width/height could be wrong when switching profiles
FIXED: dialog to add images didn't allow to select multiple files in some cases
FIXED: path auto completion for destination was broken
IMPROVED: better check to avoid parsing of compressed folders (ZIP, CAB)
IMPROVED: include hidden files based on system setting
IMPROVED: recreate folder structure now also works if just one folder was added
IMPROVED: folder name can be specified in filename mask before a backslash (e.g. "subfolder\%F")
IMPROVED: use new dialog to select folders (similar to files)
IMPROVED: place backup files in a sub-folder named "LightImageResizer_Backups" for more convenience
IMPROVED: better interface scaling for high DPI (esp. 4K monitors)
IMPROVED: limit threads to 8 on auto setting to avoid memory issues

Light Image Resizer - 5.0.3.1 - Built 2017-01-16
================================================
FIXED: preview for TIFF with color profile could show wrong colors
FIXED: empty shell context menu introduced in last version
IMPROVED: synchronize state for shell extension submenu on launch

Light Image Resizer - 5.0.3.0 - Built 2017-01-10
================================================
NEW: setting to save window size and position
NEW: option "Fix gamma when resizing" (see Optimization tab), which can prevent images from getting darker
FIXED: images with large color profiles may cause corrupted output
FIXED: wrong color space chosen in some cases
FIXED: selected DPI resolution was not applied for Bitmap output
FIXED: Next button could be at the wrong position
FIXED: additional frames of multi-page TIFF were not added to combined PDF
FIXED: some parts of the interface appeared in black if theming was disabled (classic mode)
FIXED: left main menu could be cut off depending on language and font size
FIXED: unwanted linebreaks were added in rendered watermark text
FIXED: some issues with interface controls on high DPI screens
FIXED: font size in watermark options was not loaded correctly in some cases
FIXED: in some conditions folders pinned to Windows Explorer were opened in Light Image Resizer instead
IMPROVED: rendering of watermark text is a lot faster now
IMPROVED: accept additional files if launched via shell verb
IMPROVED: load and apply color profiles embedded in PNG
IMPROVED: don't display line break tags (<br>) in watermark text entry
IMPROVED: adapt offset for watermark text based on font size

Light Image Resizer - 5.0.2.0 - Built 2016-11-17
================================================
FIXED: resource leak in thumbnail list caused crashes when a lot of images were added
FIXED: some valid email addresses were not accepted
FIXED: OS version detection could cause crash on startup in rare cases
FIXED: target selection for digital frame mode was not working

Light Image Resizer - 5.0.1.2 - Built 2016-10-21
================================================
NEW: more camera related EXIF values for watermark text
FIXED: crash when using Crop mode and wildcard (width or height empty)
FIXED: stretched portrait images when using "Adjust resolution for portrait" option
FIXED: crash when saving large log file on close
FIXED: processed image could have wrong orientation if source was not landscape
FIXED: ICC profile was not copied from TIFF to JPEG, resulting in wrong colors
FIXED: XMP metadata could be corrupted when converting from TIFF
FIXED: certain JPEG images could cause crashes in the file selection dialog (PhotoMetadataHandler)
FIXED: color profile could be added several times in some cases
FIXED: metadata for TIFF files was copied even if those options were disabled
FIXED: dimensions were not applied if specified via command line
FIXED: resizing failed if image type did not match file extension (e.g. PNG with .jpg extension)

Light Image Resizer - 5.0.0.20 - Built 2016-08-19
=================================================
NEW: redesigned and improved interface
NEW: collage action to create nice photo collages easily
NEW: recently used profiles are displayed on top of the list (can be disabled in settings)
NEW: options to adjust brightness and contrast (see Effects tab)
NEW: colors option to set bit depth for BMP/PNG, and color space for JPEG/TIFF output
NEW: several new tags for watermark text (sequential number, image count, EXIF rating, etc.)
NEW: support for 32bit bitmap (with alpha channel)
FIXED: action "Create PDF" could fail if output format is not JPEG
FIXED: backup files could be deleted/corrupted in certain cases (for example if not enough space)
FIXED: status display issue when processing files again
FIXED: watermark text might select wrong font when using font name with spaces
IMPROVED: overall performance improved
IMPROVED: downsizing of large images to half size (or lower) should work better
IMPROVED: lots of other optimizations and improvements

Light Image Resizer - 4.7.6.0 - Built 2015-12-03
================================================
FIXED: some options (like filename mask) could be incorrect when launched via context menu, or changing profile
FIXED: text outline button (for watermark text) was active even if color selection was cancelled
CHANGED: increase limit for log entries
CHANGED: log entry limit now only applies to info type (warnings and errors will still be logged)
CHANGED: combine "info" log entries to a single line per file when processing
IMPROVED: refresh log only if visible for better performance
IMPROVED: behavior of destination edit box
IMPROVED: error handling when destination cannot be written to

Light Image Resizer - 4.7.5.1 - Built 2015-11-09
================================================
FIXED: selected profile could be empty when launched via context menu

Light Image Resizer - 4.7.5.0 - Built 2015-11-04
================================================
FIXED: deleting profile "Sample" could also delete "Sample 2", etc.
FIXED: display issues with preview during processing (if enabled)
FIXED: threading issue when cancelling processing and/or preview
FIXED: deadlock when operation was finished while paused
FIXED: in some cases all files were skipped for no reason
ADDED: used profile is displayed during processing
IMPROVED: accuracy for estimated duration
IMPROVED: taskbar progress now indicates paused and failed state

Light Image Resizer - 4.7.4.0 - Built 2015-09-28
================================================
FIXED: image count disappeared when showing other forms (Settings, etc)
FIXED: invalid pointer operation could occur after a new profile has been created
FIXED: EXIF data in specific JPEGs could get corrupted (e.g. Nikon Scan)
FIXED: unsaved changes were not always reset correctly when switching profiles
ADDED: tags for IPTC fields can now be used in watermark text
IMPROVED: sync of stock profiles can update profiles
IMPROVED: stock profiles are only sync'ed if required
CHANGED: Instagram profile now uses the new resolution (1080x1080) and center mode

Light Image Resizer - 4.7.3.1 - Built 2015-08-26
================================================
FIXED: profile list was not refreshed when profiles were resetted
FIXED: when importing profiles, the overwrite prompt was shown for every profile instead of just once
FIXED: unit was set to percent when run from command line
CHANGED: when running from command line without a profile, the profile name is blank
ADDED: ability to select <Desktop Resolution> and <Original Resolution> as QuickProfiles

Light Image Resizer - 4.7.3.0 - Built 2015-08-24
================================================
FIXED: filename mask specified in command line was overriden in some cases
FIXED: navigation panel in preview had display glitches on Windows 8 and higher
FIXED: hitting Enter in destination's AutoComplete dropdown would start processing
FIXED: automatic font size reduction of watermark text was broken
FIXED: option "Symmetrical" in "Add Border" dialog was reset everytime the dialog was opened
FIXED: watermark text position was off with applied rotation
ADDED: new command line parameter /ForceDest to force creation of destination path without prompt
ADDED: image rotate and flip functions (see "Rotate" tab)
ADDED: option to control word wrap for watermark text
ADDED: QuickProfile implementation without additional shell extension (req. Windows 7 or higher)
IMPROVED: much better interface scaling in high DPI mode
IMPROVED: make sure no specific profile is used when run by command line without profile parameter
IMPROVED: some registry keys were not removed when uninstalling

Light Image Resizer - 4.7.2.0 - Built 2015-07-22
================================================
FIXED: destination was broken for digital frame mode
FIXED: default filename mask was not updated when changing language
FIXED: some characters in watermark text could be ignored (space, dash, etc)
FIXED: when using watermark image and position bottom left, watermark was not visible
FIXED: when adding watermark text in large batches, some images could fail occasionally
FIXED: watermark was only visible in opaque areas when applied to transparent images
FIXED: rare crash related to mouse movement inside preview
ADDED: compatibility manifest for Windows 10
ADDED: check for free memory on startup (must be at least 80 MB)
IMPROVED: replaced some components that were causing stability issues
IMPROVED: required size for watermark text was not always calculated correctly
IMPROVED: displayed background of watermark image preview can be changed for better visibility
IMPROVED: reduced memory consumption for processing, large images should cause less issues

Light Image Resizer - 4.7.1.1 - Built 2015-06-19
================================================
FIXED: Resource not found error when closing - sorry for this!
FIXED: replacement color was not correctly applied in preview
FIXED: black output for some WMF files

Light Image Resizer - 4.7.1.0 - Built 2015-06-17
================================================
FIXED: colors were altered for images with color profile when "Copy ICC profile" was enabled
FIXED: crash could occur on application startup
FIXED: profile names were not always handled case-sensitive ("Abc" vs. "ABC"), leading to issues when saving/loading
FIXED: a profile with an empty name was causing isses on load (now skipped)
ADDED: when importing profiles, the user is prompted to overwrite if a profile with same name already exists
IMPROVED: prevent memory issues when outputting large images by turning off multithreading

Light Image Resizer - 4.7.0.0 - Built 2015-04-14
================================================
FIXED: watermark text could be cut off when using margin
FIXED: leaking resources could lead to stability issues
FIXED: original file size displayed in preview would increase when browsing through images
FIXED: filename mask might be overidden when using "profile" command line parameter
FIXED: watermark text position when using certain formatting (bold, italic) or decoration (shadow, etc)
FIXED: when selecting "Don't save" and "Don't ask again" in profile save prompt, this choice was not saved correctly
FIXED: when saving PNG to formats without transparency (like JPG), background was not converted properly
FIXED: replacement color defined in settings was not applied correctly
FIXED: selected profile could be invalid after importing profiles
FIXED: crash under some conditions after settings were closed
ADDED: option to process target images further once done (via drop down menu)

Light Image Resizer - 4.6.9.0 - Built 2015-03-16
================================================
FIXED: crash if clipboard is inaccessible when pasting unlock key
FIXED: rare crash when closing
FIXED: preview mode could block processing thread
FIXED: selected JPEG quality was not applied, always resulting in highest quality
FIXED: transparency (PNG/GIF) was broken in preview
UPDATED: DCRAW library

Light Image Resizer - 4.6.8.0 - Built 2014-12-18
================================================
FIXED: watermark text was clipped in some cases
FIXED: number of used threads was not always applied correctly
FIXED: unexpected behavior when clicking close, while "Apply to all" selected in conflict prompt
FIXED: in some cases metadata could not be saved for small JPEG files
FIXED: issues with overwrite and quality prompt (potential fix for EOSError)
CHANGED: show warning about resizing originals only when backup setting is disabled

Light Image Resizer - 4.6.7.0 - Built 2014-11-20
================================================
FIXED: crash when creating PDF from very large images
FIXED: crash on startup in certain cases
FIXED: quality warning was not shown as modal dialog
FIXED: crash if preview was opened and closed in quick succession
FIXED: backup files (.bak) were not created/recycled when resizing original
FIXED: "Don't ask again" for warning when resizing original was not saved
FIXED: manual check for update reported version as up-to-date even if a new one was available
FIXED: zoom and size buttons in preview were not working
ADDED: detected source image type in processing log
IMPROVED: disable preview button if file list is empty

Light Image Resizer - 4.6.6.2 - Built 2014-10-31
================================================
FIXED: access violation if preview was showing while entering watermark options
IMPROVED: avoid obsolete reloading of preview for watermark options

Light Image Resizer - 4.6.6.0 - Built 2014-10-28
================================================
NEW: revamped engine for better performance and huge image support (tested up to 200 MP)
NEW: support for multipage TIFF images
NEW: support for animated GIF images
NEW: auto enhance option (see Effects tab)
FIXED: thumbnails were not displayed in the image list on Windows 8
FIXED: some images were not handled with correct orientation if EXIF was not copied
FIXED: images from different paths could end up in the wrong folder if relative destination was used, e.g. ".\output"
FIXED: image information in preview window was not displayed correctly on Windows 8
FIXED: file number (%N) in filename tag could be inconsistent when using multithread processing
FIXED: state of auto display checkbox in help window was not saved correctly
FIXED: images from shell context menu were not loaded if Light Image Resizer was already running
IMPROVED: faster and better zooming in preview
IMPROVED: responsiveness of preview window while loading
IMPROVED: preserve compression method for TIFF images if possible
IMPROVED: faster rendering of watermark text

Light Image Resizer - 4.6.5.0 - Built 2014-07-29
================================================
FIXED: DLL error when launching on older Windows
FIXED: application icon for 24 bit
FIXED: don't browse through preview with cursor if one image only
FIXED: preview and watermark forms were not fully translated
FIXED: crash when processing is cancelled
IMPROVED: fallback to system default if language locale cannot be loaded
IMPROVED: display a note if language support may be missing for selected locale
UPDATED: DCRAW library

Light Image Resizer - 4.6.4.0 - Built 2014-07-08
================================================
FIXED: rare error when cancelling right before processing is finished
FIXED: potential crash when toggling the preview
CHANGED: revised zoom levels in preview (maximum is 3200%)
IMPROVED: resposiveness when browsing through previews
ADDED: option "Reduce short side before crop" when crop mode is selected

Light Image Resizer - 4.6.3.0 - Built 2014-06-03
================================================
FIXED: when renaming on filename conflict, some images were not saved correctly
FIXED: %X-Date filename mask tag alone did not work for more than one image
FIXED: exception in processing thread could make application hang
FIXED: instability in filename mask handling
FIXED: handle leak in watermark form
CHANGED: allow to continue anyway if filename mask appears to be static
CHANGED: don't create backups when resizing originals
IMPROVED: pause processing while prompting to cancel
IMPROVED: further reduce resource usage by freeing preview and watermark form

Light Image Resizer - 4.6.2.0 - Built 2014-05-12
================================================
FIXED: handle leak in thumbnail view
FIXED: EXIF tags could not be used in filename mask if copying of EXIF metadata was disabled
ADDED: filename mask tag for formatted EXIF date, i.e.: %X-Date[yyyy-mm-dd hh-nn-ss]
       dd = day, mm = month, yy = year (2 digits), yyyy = year (4 digits)
       hh = hour, nn = minute, ss = second
IMPROVED: delay creation of additional forms until they are needed

Light Image Resizer - 4.6.1.0 - Built 2014-04-09
================================================
FIXED: interface issues for some translations
IMPROVED: localized buttons for certain dialogs
IMPROVED: display DPI option only for formats supporting it (original, Bitmap, JPEG, TIFF, PDF)

Light Image Resizer - 4.6.0.0 - Built 2014-03-17
================================================
FIXED: cancelling could cause crash/deadlock
FIXED: incorrect filename mask when running from command line (action=move) without /mask parameter
ADDED: return an exit code (1=errors, 2=warnings)
ADDED: support license key for all users in HKLM
ADDED: option to apply license key for all users when unlocking
ADDED: new profile to resize your photos for Instagram
CHANGED: crop mode now resizes based on smallest side, then crops on center
IMPROVED: skip some dialogs if /run parameter is used
IMPROVED: don't save last used options if /run parameter is used

Light Image Resizer - 4.5.9.0 - Built 2014-03-04
================================================
FIXED: saving issue when a filename mask with %N is used
FIXED: bad quality warning cancelled processing even if user selected to continue
ADDED: setting to move backups to recycle bin when finished, enabled by default (see Processing tab)
UPDATED: OTL 3.03b

Light Image Resizer - 4.5.8.0 - Built 2014-01-20
================================================
FIXED: rare issue when launched via context menu (missing settings, etc.)
FIXED: memory issue when rendering watermark text in large images
FIXED: removed a redundant error message
FIXED: potential crash when switching profiles
ADDED: thread numbers in log
ADDED: setting to toggle multithread processing (Settings, Processing tab)
IMPROVED: indicate if there were any warnings during processing
CHANGED: replace IE view with custom HTML viewer in update notification
UPDATED: Italian translation

Light Image Resizer - 4.5.7.0 - Built 2013-11-18
================================================
FIXED: access violation when installing or uninstalling
FIXED: crash if application is terminated prematurely
FIXED: crash if locale file is locked
ADDED: new "Processing" tab in settings (some options moved)
CHANGED: setting to backup original files, default is on (see Processing tab)
UPDATED: Portuguese translation

Light Image Resizer - 4.5.6.0 - Built 2013-11-11
================================================
FIXED: critical issue when processing was started
FIXED: cursor was not updated once preview was loaded

Light Image Resizer - 4.5.5.0 - Built 2013-11-11
================================================
FIXED: process could still be in memory when cancelled
FIXED: deadlock when quality warning was shown
FIXED: prompt to include subfolders did not work correctly
FIXED: potential crash on exit when images were added via "Add Folder" button
FIXED: crash when adding some EMF files
FIXED: deadlock/hanging when processing a lot of files
FIXED: watermark image was not drawn transparent if resize was set to "None"
IMPROVED: better performance if watermark is not used

Light Image Resizer - 4.5.4.0 - Built 2013-10-16
================================================
FIXED: crash on startup (WicLoader)
FIXED: rare crash when clicking "Process"
FIXED: autoplay for external storage devices was not selecting files
ADDED: application registration for "Open with"
UPDATED: OTL 3.03

Light Image Resizer - 4.5.3.0 - Built 2013-10-08
================================================
FIXED: file extension was not changed when outputting to a different format (e.g. PNG to JPG)
FIXED: in some cases a COM server warning was shown when closing the application
FIXED: several small issues
CHANGED: header in file list removed as it had no purpose and could cause problems

Light Image Resizer - 4.5.2.0 - Built 2013-09-26
================================================
FIXED: action "Resize Original" was doing nothing
FIXED: crash when saving the log
IMPROVED: settings are now loaded in a better way to prevent crashes
IMPROVED: check if watermark image is valid
CHANGED: IJL2 loader removed

Light Image Resizer - 4.5.1.0 - Built 2013-09-23
================================================
FIXED: crash on single core CPU when processing is started
FIXED: rare crash on startup if settings form was not initialized

Light Image Resizer - 4.5.0.0 - Built 2013-09-17
================================================
NEW: rewritten multithreading engine (should be more stable)
NEW: preview is now disabled by default for faster processing (see Settings)
FIXED: layout for overwrite dialog on Windows XP
IMPROVED: far better speed when using scaled watermark image

Light Image Resizer - 4.4.4.0 - Built 2013-09-03
================================================
FIXED: "Adjust resolution for portrait" was greyed out in some cases
FIXED: auto width and height options were shown if percent and fit mode were selected
FIXED: an exception could occur if help was not available yet
IMPROVED: better exception handling during processing

Light Image Resizer - 4.4.3.0 - Built 2013-08-28
================================================
FIXED: EXIF data was not loaded if required by watermark and both EXIF and XMP were disabled
FIXED: catch any exception during drop operations

Light Image Resizer - 4.4.2.0 - Built 2013-05-08
================================================
ADDED: resize option for watermark image
ADDED: file creation/modification date tags for watermark text

Light Image Resizer - 4.4.1.4 - Built 2013-03-04
================================================
ADDED: free version will now display "non-commercial" notice
FIXED: color in border dialog was not loaded correctly from profile
FIXED: error when saving a file was eaten and not displayed to the user
FIXED: crash if a registry key could not be deleted

Light Image Resizer - 4.4.1.0 - Built 2013-01-10
================================================
FIXED: font list for watermark text was displaying unusable font types

Light Image Resizer - 4.4.0.0 - Built 2013-01-04
================================================
FIXED: when outputting as PNG, files were optimized even if option was disabled

Light Image Resizer - 4.3.4.2 - Built 2012-11-22
================================================
ADDED: image loading using WIC codec
IMPROVED: only accept files supported by active loaders

Light Image Resizer - 4.3.3.6 - Built 2012-11-19
================================================
FIXED: rare crash when trying to send statistics
FIXED: last folder for adding images was not remembered within the session
UPDATED: latest Canon SDK (for new cameras like EOS 5D Mark III)

Light Image Resizer - 4.3.3.0 - Built 2012-10-10
================================================
FIXED: processing a batch of files with ICC profile could lead to wrong profile being written

Light Image Resizer - 4.3.2.2 - Built 2012-06-14
================================================
FIXED: damaged metadata for some files

Light Image Resizer - 4.3.2.0 - Built 2012-06-06
================================================
IMPROVED: some exceptions are just logged without throwing a message if possible

Light Image Resizer - 4.3.1.0 - Built 2012-04-30
================================================
FIXED: DPI value was not saved correctly in some cases

Light Image Resizer - 4.3.0.0 - Built 2012-04-08
================================================
-ADDED : NEW Feature optimize PNG files using OptiPng lib
see details in our forum
http://forum.obviousidea.com/threads/371-New-PNG-optimization-with-Light-Image-Resizer
-Fix a problem with registration status in about box dialog
-Updated translation
-Profiles contains now the Facebook Timeline format

Light Image Resizer - 4.2.0.0 - Built 2012-03-20
================================================
ADDED: loading and saving of images in WebP format

Light Image Resizer - 4.1.1.8 - Built 2012-02-22
================================================
FIXED: center mode didn't work correctly for square source dimensions (e.g. 640x640)
IMPROVED: quality warning now only shows once per work session

Light Image Resizer - 4.1.1.5 - Built 2012-01-23
================================================
FIXED: new context menu entry was launching a separate instance per file
IMPROVED: "Loading of metadata failed" log message could appear if file didn't contain all selected metadata

Light Image Resizer - 4.1.1.4 - Built 2012-01-13
================================================
IMPROVED: copying of EXIF tags (especially MakerNote)

Light Image Resizer - 4.1.1.2 - Built 2011-12-28
================================================
FIXED: application may close when license key has been entered
FIXED: replacement color is not applied when saving PNG to format without transparency (like JPG)

Light Image Resizer - 4.1.1.0 - Built 2011-12-23
================================================
IMPROVED: prevent standby mode when processing
FIXED: using watermark with EXIF tags may lead to metadata being copied even if disabled
FIXED: problem saving watermark rotation if it was not zero before
ADDED: new filename tag %DIR for original folder

Light Image Resizer - 4.1.0.3 - Built 2011-11-14
================================================
FIXED: update setting was not loaded correctly

Light Image Resizer - 4.1.0.2 - Built 2011-11-07
================================================
FIXED: rare issue where location registry key is not found by shell extension
FIXED: destination directory was not saved to profile in some cases
FIXED: center mode did not resize image correctly if one side was larger than target dimensions

Light Image Resizer - 4.0.9.8 - Built 2011-10-10
================================================
FIXED: PDF output was not working with "Recreate folder structure on destination" enabled

Light Image Resizer - 4.0.9.5 - Built 2011-08-31
================================================
IMPROVED: new shell context menu integration (more prominent position and should cause less issues)

Light Image Resizer - 4.0.9.0 - Built 2011-08-10
================================================
ADDED: support for .JPS files (JPEG Stereo 3D)
IMPROVED: set limit for countdown to 20

Light Image Resizer - 4.0.8.4 - Built 2011-08-04
================================================
FIXED: rare crash when resizing images with 1x1 pixels
FIXED: write permission check for network shares didn't work in some cases
IMPROVED: using file mask from command line (e.g. resize.exe "c:\photos\*.jpg") would not scan subfolders
IMPROVED: file paths in ZIP are now relative to topmost folder when using "Recreate folder structure on destination"

Light Image Resizer - 4.0.8.0 - Built 2011-07-10
================================================
ADDED: ask to show tutorial if no images were resized
ADDED: option for collecting anonymous usage information
IMPROVED: no IE dependency for update notification

Light Image Resizer - 4.0.7.7 - Built 2011-07-06
================================================
FIXED: only first line of watermark text is saved correctly
FIXED: creating additional copy of profile makes application hang
FIXED: rare crash when trial window is closed quickly

Light Image Resizer - 4.0.7.3 - Built 2011-07-05
================================================
FIXED: some crash cases
ADDED: new trace for debugging
IMPROVED: some text updated for better user experience

Light Image Resizer - 4.0.7.0 - Built 2011-06-27
================================================
IMPROVED: stability for some cases

Light Image Resizer - 4.0.6.8 - Built 2011-05-27
================================================
IMPROVED: New update notification

Light Image Resizer - 4.0.6.6 - Built 2011-05-24
================================================
FIXED: Crash when trying to save invalid profile on close
ADDED: EXIF tags for filename mask

Light Image Resizer - 4.0.6.2 - Built 2011-05-20
================================================
IMPROVED: Preview consumes less memory while processing

Light Image Resizer - 4.0.6.1 - Built 2011-05-17
================================================
ADDED: Handling via memory mapped file
CHANGED: Detailed logging enabled
CHANGED: Default filename mask is now: %F (Copy)

Light Image Resizer - 4.0.6.0 - Built 2011-05-11
================================================
FIXED: Several crashes that could occur when previewing or processing images
ADDED: Internal trace for better support

Light Image Resizer - 4.0.5.6 - Built 2011-04-26
================================================
FIXED: "Cannot focus a disabled or invisible window" could occur after message that destination path is not writable

Light Image Resizer - 4.0.5.5 - Built 2011-04-15
================================================
IMPROVED: Multithread initialization

Light Image Resizer - 4.0.5.2 - Built 2011-04-14
================================================
IMPROVED: Controls for watermark position spacing
IMPROVED: Move destination file to recycle bin if user wants to overwrite it

Light Image Resizer - 4.0.5.0 - Built 2011-04-08
================================================
FIX: Annoying "Invalid output format" error that was introduced in 4.0.4.14
IMPROVED: Error message if destination folder could not be created

Light Image Resizer - 4.0.4.15 - Built 2011-04-06
=================================================
FIXED: "Invalid pointer operation" on close
FIXED: Preview not working for PSD output

Light Image Resizer - 4.0.4.14 - Built 2011-04-05
=================================================
FIXED: "EAssertionFailed: FProfile not assigned"
FIXED: Add some missing text to translation

Light Image Resizer - 4.0.4.12 - Built 2011-04-04
=================================================
FIXED: "Floating point division by zero" when dragging preview
FIXED: Access violation browsing previews
FIXED: Potential access violation on save during processing

Light Image Resizer - 4.0.4.11 - Built 2011-04-01
=================================================
FIXED: If very first profile was a quick profile, it was not showing up in the context menu
FIXED: Setting "Recreate folder structure on destination" could cause problems in combincation with action "Resize original"
FIXED: Some access violation while processing
FIXED: "Cannot open file" error on launch
FIXED: Don't allow profile name starting with dot, will cause errors when saving

Light Image Resizer - 4.0.4.10 - Built 2011-03-29
=================================================
FIXED: Resetting to stock profiles could lead to "Invalid pointer operation"
FIXED: "ComponentsToProfile: FProfile not assigned" error when starting to process
FIXED: Error if EDSDK.DLL was missing
FIXED: Access violation on launch
FIXED: Showing preview when creating PDF could lead to access violation
FIXED: "List index out of bounds (-1)" when syncing profiles on launch
FIXED: Don't allow empty profile name

Light Image Resizer - 4.0.4.8 - Built 2011-03-27
================================================
FIXED: "Floating point division by zero" error while processing
FIXED: Write permission check did not work on some drives, leading to "access denied" error
FIXED: "Cannot focus a disabled or invisible window" error could occur if processing was cancelled
FIXED: Overwrite prompt failed with an error about missing themes on some systems
FIXED: "Profile not assigned" error after a profile has been deleted
FIXED: Crash after processing was cancelled
IMPROVED: Only display error message once if writing to registry failed

Light Image Resizer - 4.0.4.5 - Built 2011-03-21
================================================
- new exception catcher
- include newest translation
- new nag dialog text ( FR, EN)

Light Image Resizer - 4.0.4.4 - Built 2011-03-16
================================================
- update translations
- fix context menu on folders with accentued or unicode chars

Light Image Resizer - 4.0.4.3 - Built 2011-03-11
======================================================
- fix shell extension for accounts with special characters - list of files could be empty
- updated translations ( french, arabic )

Light Image Resizer - 4.0.4.2 - Built 11st of March 2011
========================================================
- removed use of VSO Updater, implemented a new basic one
- updated translation
- Setup Script changes, implemented a howto post-install page

Image Resizer - 4.0.4.1
=======================
- version recompiled with ObviousIdea.com copyright and links
- new graphics


- LAST VSO Image Resizer Built 

VSO Image Resizer - 4.0.3.2
=======================
- 0004134: [Suggestion] Add crash report function (Phil) - resolved.
- 0004115: [Crash] Processing CR2 files my cause crash (Phil) - resolved.
- 0004111: [Bug] Garbled text in help window with non-latin codepages (Phil) - resolved.
- 0004083: [Bug] Blocking Windows shutdown if open (Phil) - resolved.
- 0004025: [Bug] Target dimensions not respected in some cases (Phil) - resolved.

Image Resizer - 4.0.2.5
=======================
- 0003953: [Suggestion] Replace balloon hints with new help (Phil) - resolved.
- 0003952: [Bug] Trial window blocking immediate processing (Phil) - resolved.
- 0003940: [Bug] Original size in preview may be wrong if small target resolution is set (Phil) - resolved.
- 0003934: [Bug] Accidentially adding images from zip folders (Phil) - resolved.
- 0003933: [Bug] File date not kept when outputting to zip (Phil) - resolved.
- 0003929: [Crash] Closing application crashes on some machines (Phil) - resolved.
- 0003877: [Feature request] Add option for overwrite behavior in profile (Phil) - resolved.
- 0003878: [Bug] Profile save prompt cannot be reset (Phil) - resolved.
- 0003876: [Suggestion] Ignore unsupported Photoshop data (IPTC) (Phil) - resolved.
- 0003869: [Bug] Trial window issue (Phil) - resolved.
- 0003872: [Bug] Some command line switches are broken (Phil) - resolved.

Image Resizer - 4.0.1.5
=======================
- 0003859: [Bug] Windows 7 taskbar progress broken (Phil) - resolved.
- 0003854: [Bug] When overwriting or moving files they may accidentally be sent to recycle bin (Phil) - resolved.
- 0003850: [Feature request] Copy ICC profile embedded in JPG (Phil) - resolved.

Image Resizer - 4.0.1.4
=======================
- 0003825: [Bug] cannot open PDF destination folder (Phil) - resolved.
- 0003813: [Bug] Save prompt is broken (Phil) - resolved.
- 0003815: [Bug] no PDF/ZIP created with "desktop" destination folder (Phil) - resolved.
- 0003819: [Suggestion] Add warning if quality will be low (Phil) - resolved.
- 0003816: [Feature request] Allow disabling of original and desktop profiles (Phil) - resolved.
- 0003809: [Suggestion] Add warning if resolution and PDF page size don't match (Phil) - resolved.
- 0003797: [Crash] Send by email crashes if no MAPI client installed (Phil) - resolved.
- 0003779: [Feature request] Improve preview window (zoom, output size) (Phil) - resolved.
- 0003782: [Feature request] Add support for additional file formats (Phil) - resolved.
- 0003778: [Feature request] Add additional watermark text effects (Phil) - resolved.
- 0003777: [Feature request] Allow to sort files by properties (Phil) - resolved.
- 0003781: [Bug] Can't set output size larger than 100 KB (Phil) - resolved.
- 0003780: [Bug] Original file not deleted when changing filename/format (Phil) - resolved.
- 0003775: [Suggestion] Apply installer language to application (Phil) - resolved.
- 0003774: [Bug] Quick profile selection broken (Phil) - resolved.
- 0003770: [Bug] "open" button non functional (Phil) - resolved.

Image Resizer - 4.0.0.54
========================
- 0003769: [Bug] Watermark text cut off after line break (Phil) - resolved.
- 0003768: [Bug] Preview crashes sporadically (Phil) - resolved.

Image Resizer - 4.0.0.53
========================
- 0003760: [Bug] JPEG quality is not applied to PDF output (Phil) - resolved.
- 0003761: [Bug] Do not open PDF after creating (Phil) - resolved.

Image Resizer - 4.0.0.52
========================
- 0003753: [Suggestion] Make resize mode be displayed with less options (Phil) - resolved.
- 0003752: [Suggestion] Change default filename mask (Phil) - resolved.
- 0003731: [Suggestion] Add reset button for profiles (Phil) - resolved.
- 0003728: [Suggestion] Change save button behavior (Phil) - resolved.
- 0003733: [Suggestion] Make resolution editable at all times (Phil) - resolved.
- 0003716: [Bug] Disable "Adjust resolution for portrait" by default (Phil) - resolved.
- 0003743: [Feature request] Add action PDF output (Phil) - resolved.
- 0003742: [Feature request] Add resolution units inch/centimeter (Phil) - resolved.
- 0003735: [Feature request] change link of buy button (Phil) - resolved.
- 0003680: [Suggestion] Add original image to preview side by side (Phil) - resolved.
- 0003690: [Suggestion] Recycle files on overwrite (Phil) - resolved.

Image Resizer - 4.0.0.46
========================
- 0003655: [Suggestion] Add prompt to include subfolders if no files are found (Phil) - resolved.
- 0003654: [Bug] Trial window is not visible when launching via shellext (Phil) - resolved.
- 0003653: [Bug] Doesn't start on Windows 2000 (Phil) - resolved.
- 0003652: [Crash] Access violation when adding files or scrolling file list (Phil) - resolved.

Image Resizer - 4.0.0.42
========================
- 0003627: [Feature request] Add option to set output size (Phil) - resolved.
- 0003624: [Bug] quick access bug when start processing imeediately is checked (Phil) - resolved.
- 0003623: [Suggestion] advanced settings window - option cut due to translation problem (Phil) - resolved.

Image Resizer - 4.0.0.40
========================
- 0003618: [Crash] Access violation on launch (Phil) - resolved.
- 0003606: [Bug] Blank output with center mode (Phil) - resolved.

Image Resizer - 4.0.0.36
========================
- 0003587: [Information] right click on this version does not launch VIR (Phil) - resolved.
- 0003586: [Feature request] clicking on change view icon should change display (without needing to use the drop down) (Phil) - resolved.

Image Resizer - 4.0.0.34
========================
- 0003584: [Suggestion] Implement DropTarget to load filelist faster (Phil) - resolved.
- 0003472: [Feature request] Add parameter to set overwrite behavior (Phil) - resolved.
- 0003583: [Bug] Display glitches on large DPI setting (Phil) - resolved.
- 0003456: [Information] display problem default open window, image cut (Phil) - resolved.
- 0003546: [Feature request] 4.0.0.3 remove desktop icon for digital fram assistant (Phil) - resolved.

Image Resizer - 4.0.0.14
========================
- 0003457: [Information] % in preveiw window in bottom left if hardly visible (Phil) - resolved.

Image Resizer - 3.0.1.82
========================
- 0003458: [Bug] in V3.0.8.0 and V4.0.0.12 resizing png makes multilayed images (Phil) - resolved.
- 0003308: [Bug] Watermark contains duplicated text (Phil) - resolved.
- 0003173: [Bug] Recreate folder structure does not work in some cases (Phil) - resolved.

Image Resizer - 3.0.1.76
========================
- 0003173: [Bug] Recreate folder structure does not work in some cases (Phil) - resolved.
- 0003160: [Bug] Memory hog when processing GIF images (Phil) - resolved.
- 0003159: [Bug] Unconflicting files are renamed when choice is applied to all conflicts (Phil) - resolved.
- 0003158: [Bug] Disable browse button for Resize Original (Phil) - resolved.

Image Resizer - 3.0.1.72
========================
- 0003143: [Bug]  Run parameter does not start processing (Phil) - resolved.
- 0003141: [Bug] Half black image output on some CPUs (Phil) - resolved.
- 0003140: [Feature request] Allow static filename mask on 1 image (Phil) - resolved.

Image Resizer - 3.0.1.55
========================
- 0003129: [Feature request] modify Nag window (Phil) - resolved.
- 0003128: [Feature request] Do not close application if browser dialog is canceled (Phil) - resolved.
- 0003131: [Bug] Action Move does incorrectly copy files (Phil) - resolved.
- 0003127: [Feature request] change size of font and color by default for watermark (Phil) - resolved.
- 0003130: [Bug] Logo is distorted on large DPI setting (Phil) - resolved.
- 0003126: [Bug] Default destination is empty (Phil) - resolved.

Image Resizer - 3.0.1.40
========================
- 0003076: [Bug] can't save a different profil as default (Phil) - resolved.
- 0003112: [Bug] Border window can be accessed even that option box is NOT ticked. (Phil) - resolved.
- 0003125: [Bug] No preview when watermark preview selected. (Phil) - resolved.

Image Resizer - 3.0.1.26
========================
- 0003120: [Bug] Exception when launching with digital frame detection (Phil) - resolved.

Image Resizer - 3.0.1.2c
========================
- Updated with latest Canon SDK to support Canon EOS 7D and Mark IV .cr2 / raw files
- update several languages for the Digital frame assistant

Image Resizer - 3.0.1.2a
=======================
- setup compiled wiht innosetup 5.3.6(u)

Image Resizer - 3.0.1.2
=======================
- 0003056: [Bug] Quality option not correctly initialized (Phil) - resolved.
- 0003054: [Bug] Don't enumerate floppy drives for digital frame detection (Phil) - resolved.
- 0003055: [Bug] Destination incorrect if digital frame is selected by virtual profile (Phil) - resolved.
- 0003051: [Bug] Filename mask not correctly initialized if "resize original" is used by default (Phil) - resolved.

Image Resizer - 3.0.0.140
=========================
- 0003042: [Bug] Wildcard support for width/height broken (Phil) - resolved.
- 0003041: [Bug] Sometimes the log says resize failed even if it worked fine (Phil) - resolved.

Image Resizer - 3.0.0.138
=========================
- 0003040: [Bug] Correct detection of illegal characters in filename mask (Phil) - resolved.
- 0003035: [Bug] 3.0.0.101 keyword copy (Phil) - resolved.
- 0003033: [Feature request] Add compatibility for watermark settings in v2 profiles (Phil) - resolved.

Image Resizer - 3.0.0.105
=========================
- reduce log messages to fix index out of bounds after processing a lot of files

Image Resizer - 3.0.0.51c
========================
- update script code
- canon SDK reverted to version 2.6 

Image Resizer - 3.0.0.51
========================
- compiled with latest canon SDK ( support 7D .CR2 files ) 
- updated dcrawlib
- update several languages and translation
- update script code

Image Resizer - 3.0.0.50
========================
- various optimization to handle very large number of files ( application more responsive )

Image Resizer - 3.0.0.30c
========================
-Various fixes in the translation
-installation script updated with new EULA

Image Resizer - 3.0.0.18c
========================
- compiled with new unicode innosetup
- update several translations
- better reactivity during program load
- various installation script fixes

Image Resizer - 3.0.0.17c
=======================
- update the setup script with a lot of new languages for the Digital Frame Wizard

Image Resizer - 3.0.0.17
=======================
- compiled with Delphi 2010
- various fixes
- fix update.htm flag file

Image Resizer - 3.0.0.12
=======================
- new icons for Resize method
- updated translations
- wording updated for english references
- various fixes

Image Resizer - 3.0.0.8
=======================
- new gui and simplified list for resize method ( fit, fill, center, crop , seam carving )
- updated icons ( work in progress ) in wizard transfer tool too.
- new policy applied for resize mode

Image Resizer - 3.0.0.4
=======================
- various fixes about aspect ratio
- fixes about seam carving
- new interface modification
- new translation added

Image Resizer - 3.0
=======================

- add new button to create new profile ( user request )
- implement seam carving / retarget / liquid resize / content aware method as possible resize method.
- add new option to be compatible with digital frame transfer assistant

Image Resizer - 2.2.2.1
=======================
- rewritten 64bits explorer shell integration to improve support for Windows 7 
- updated translation

Image Resizer - 2.2.1.2
=====================
- various update in the installation script to provide a better help for some languages ( english, french, spanish, german )
- fix a minor bug in the settings dialog
- updated with newest translation.
- update code for exif rotation management

Image Resizer - 2.2.0.1c
========================
- updated translation ( japanese, french ... )
- updated installation script ( new task for english / tutorial link to vso's forum )

Image Resizer - 2.2.0.1
========================
- updated dcrawlib.
- workaround for CR2 resize ( due to Canon SDK crash with big memory allocation )
- updated translations

Image Resizer - 2.2.0.0
========================
- new scaler integration / GUI update
- new canon SDK dll ( to support latest .CR2 format )

Image Resizer - 2.1.8.6
========================
- use new vso scaler ( with more choice in the filters )

Image Resizer - 2.1.8.2
========================
- updated distributed dll
- updated translations
- fix a small issue with color padding 

Image Resizer - 2.1.7.4
========================
- use now vsoscaler.dll
- implement new option OpenMP ( lib to optimize multi-core cpu usage )
- loads TIFF using ImageEn and supports embedded ICC profiles (customer request).
- fix a potential issue with ipp super filter if the target dimension is not exactly below the source dimension

Image Resizer - 2.1.6
========================
- dcrawlib updated
- new vsorsz ( embed new filters and optimized for multi-core cpu )
- optimisation for .CR2 management
- various translation update
- minor bugs

Image Resizer - 2.1.5.5c
========================
- fix a problem with translation and ukrainian flag
+ update Japan translation

Image Resizer - 2.1.5.5
=======================
- 0002468: [Bug] Wrong XMP encoding for Unicode text (Phil) - resolved.
- 0002465: [Bug] XMP of some JPEGs cannot be loaded (Phil) - resolved.
- 0002454: [Bug] Resize operation fails on older AMD systems (Phil) - resolved.

Image Resizer - 2.1.5.3
=======================
- 0002465: [Bug] XMP of some JPEGs cannot be loaded (Phil) - resolved.
- 0002454: [Bug] Resize operation fails on older AMD systems (Phil) - resolved.
- new vsorsz ( fix the white output pictures with old AMD cpu )

Version 2.1.4.0
- 0002444: [Bug] Some processed images can crash Explorer (Phil) - resolved.

version 2.1.3.6
- new translations
- new shell right-click version
- Add a safe-guard with very old AMD cpu processor.

version 2.1.3.5
- bundled with new IJL2 and VsoRsz.dll
- change for shell extension support

version 2.1.3.1
- shell extension updated
- some translation updated

version 2.1.3
- [Bug] various shell extension issues (Phil) - resolved.

version 2.1.2
- fix a xmp/iptc rating save issue
- bundled with latest editloc ( tools to Built your own translation )
- updated with latest translation received.

version 2.1.1
- fix an issue with registration for unicode system - Invalid RSA Key ( Japan, China )
- include new process to extract from thumbnail large Jpeg for RAW ( .NEF ) 
- updated japanese translation.
- 0002360: [Bug] Sometimes wrong resize is used leading to blank image (Phil)
- 0002339: [Bug] Current profile is not saved correctly (Phil)
- open log with japanese windows fails.

Version 2.1.0.7
- compiled with Delphi 2009
- include new tools for translation management.
- include latest source for image lib
- include newest Canon EOS SDK 2.5 with new dll distribution ( some old files won't be deleted )

Version 2.0.2
- use latest DCRAWLib ( and soon we will switch to WIC codec integrated to Windows )
- updated translations.
- fix support for Nikon D90 ( bad orientation and green tint )

Version 2.0.1.17
- Now bundled with Canon RAW ED-SDK 2.4 ( support for EOS 1000D ) 
- and latest DCRAWlib to support newest digital camera raw format
- fix a detection issue of Athentech plugin
- GUI change, OK, Cancel, Properties are swapped now.
- various update in the translation files
- optimization to read EXIF metadata from Canon RAW files .CR2

Version 2.0.1.14
- fix a hardcoded path use for IPTC reading in the source code

Version 2.0.1.11
- updated translations
- copy IPTC information stream data

Version 2.0.1.9
- include new DCRAWLib component

Version 2.0.1.7
- new IJL20, fix black images loaded
- updated translations
- 10% faster for files loading

Version 2.0.1.5
- support of xmp metadata
- fixed shell extension dll
- installation script updated for affiliation.

Version 2.0.1.4
- update several translations.
- add an option to set a border.
- new dll for shell integration

Version 2.0.1.3
- now it is possible to apply the resize on a folder and all subfolders.
- keeps the xp/vista properties rating
- fixes a resizing issue with percentage.

Version 2.0.1.1
- fix a bug in the browse folder view
- release candidate version grouping all the past features

Version 2.0.0.29
- fixed false alarm warning about output folder 
- little optimization in the speed
- add new hint
- add open log in final tasks dropdown
- improved support for png transparency
- added Iphone wallpaper profile

Version 2.0.0.27
- new strategy about resize with FULL/Preview and target size.
- fixed profiles load problem.

Version 2.0.0.25
- new Canon EDSDK 2.3 to support Canon 450D 

Version 2.0.0.21
- png transparency fixed for watermark
- gif files are saved correctly now
- two minor strings were missing from translation

Version 2.0.0.20c
- 0001760: [Bug] Unable to process images with unicode filename (Phil)
- 0001753: [Bug] Controls not completely unicode compliant (Phil)
- Danish, German, French translation updated.
- Translation needs a big refresh from volunteers as a lot of string has been fixed.
- include some new and updated translations.

Version 2.0.0.19b
- 0001693: [Suggestion] Add hint for Reset Confirmations (Phil)
- 0001689: [Bug] Output JPEG quality always at 80% (Phil)

Version 2.0.0.17
- update some translation reference
- few minor fixes

VERSION 2.0.0.15
- "save as default" issue (http://bugs.vso-software.fr/view.php?id=1631)
- some settings weren't saved correctly when "save as default" was checked
- new close button once the process is finished, will allow for opening destination
- few minor bugfixes

Version 2.0
intermediate Builts, see official release note for complete list change between v1 and v2 


Version 1.3.3:
- 0001226: [Bug] Screen color depth affecting output image (Phil)
- 0001227: [Bug] Profile parameter values not interpreted correctly (Phil)
 
The latest release solves an important issue, so if you are using Image Resizer please make sure to get this.
In case the color depth of the screen is set lower than True Color (32 bit), color depth of the output image can be reduced. This also applies to Remote Desktop sessions with low color depth.

Version 1.3.2:

- introduce new switchs to be used as a command line. ( see switches.txt in the application local folder )
- update the latest Canon EOS SDK 2.1 support for Canon 40D
- latest translations
- added support for Sony Alpha RAW .SR2 , and mamiya RAW .MEF 
- latest DCRAWlib.dll ( 1/10/2007 ) fixing Canon 40D files

Version 1.2.1 Built B :

- contains latest Dcraw.lib (21/09/2007)
- Updated translations in Spanish
- Support new RAW files for CANON 40D

Version 1.2.1

- compiled with latest Delphi 2007 update 3 
- updated translations
- compiled with latest sources from Photo Gallery, optimization for RAW loading 


Version 1.2.0.73b

- Fix an issue loading the RAW files with half-resolution, loosing quality in the output result.
- Loading standard files with gdi+
- Drop down for % or pixel to set the output resolution parameters
- Latest dcrawlib available
- Packaged with Canon EOS SDK 2.0.1 dll
- Package updated with newest translation 
- Package add gdiplus.dll 

Version 1.1.16

- fix a problem with some mask ( renaming )
- include latest dcrawlib ( used to read RAW from Nikon Minolta Sony etc )
- updated translations.

Version 1.1.15

- updated to use the latest Canon EOS SDK ( support new RAW files such as Canon 1D Mark III digital camera )
- updated translation 
- updated profiles management


Version 1.1.14

- new option to not keep the EXIF information
- new option to define unlimited resolution with constraint ( you want a picture with 100pixels heigh max , and the larger should be resized to fit the aspect ratio )
- new option to rename the file starting with a defined number , rename from file10.jpg etc..

Version 1.0.12

- updated version of Dcraw lib

Version 1.0.11

- updated support for Vista
- updated translations

Version 1.0.10

- 0000561: [Bug] Some GIF files cannot be read (output is black) 
- 0000558: [Bug] Unable to manipulate original image in the same folder 
- update some translations.

Version 1.0.9

- 0000486: [Bug] No prompt to overwrite when output cannot be saved in original format 
- 0000485: [Feature request] Keep EXIF when source is raw format file
- contains latest Dcraw.lib ( 22/10/2006 )
- fix several RAW formats ( such as Adobe DNG )

Version 1.0.8

- 0000428: [Bug] Text in overwrite dialog cut off for very long filenames 
- 0000351: [Bug] DPI values are not preserved 
- 0000412: [Suggestion] Lock filename mask when "Replace Original" is selected 
- 0000411: [Bug] Output format TIFF is saved as PNG 
- 0000350: [Bug] Rounding issue in target resolution 
- add support for Canon EOS Sdk ( support of Digital Rebel Xti 400D , 30D )
- add support for more formats.
- updated translation ( français etc )

Version 1.0.7c

- support the new CR2 RAW format for Canon 400D/Rebel Xti
- updated or added translations

Version 1.0.7 
- improved or added support for :
.DNG (Digital Negative Format / Adobe)
.MRW (Minolta)
.ORF (Olympus)
.PEF (Pentax)
.RAF (Fuji)
.SRF (Sony)

Version 1.0.6 
- improved transparency support for watermark feature.

Version 1.0.5b

- update or add some translations
- packed exe

version 1.0.5 

- add file rename mask option 
- add watermark feature
- improved RAW files support

Version 1.0.4

- add raw support ( tested with Canon .CR2 and Nikon .NEF files )
- Show estimated remaining time
- Flash titlebar when prompting to overwrite
- Show progress in titlebar

Version 1.0.3

- Improved/Fixed shell support.
- Preparation for adding watermark feature
- updated translations
- tif files supported from shell


Version 1.0.2

- fix a problem in the save settings behaviour
- better support for tif files.
- works directly on a folder 
- keep EXIF informations from the source files

Version 1.0.1

- compatible with vsorep to submit logs to the support

Version 1.0.0.16

- first official release 
- fix a problem with aspect ratio constraints.

Version 1.0.0.14

- various fixes
- update translations.


Version 1.0.0.8

- Fixed: Did not display correct space gained when converting to another format
- Changed: When using "Original Resolution" profile, do not add profile name to output filename
- New: Don't allow destination to be same than original folder when using "Original Resolution" profile
- Minor bugfixes